Entwurf Verrundung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Fillet and the translation is 48% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Vorherige: Draft Wire.svg Draht
Nächste: Bogen Draft Arc.svg Arrow-right.svg

Draft Fillet.svg Entwurf Verrundung

Menüeintrag
Entwurf → Verrundung
Arbeitsbereich
Arbeitsbereich Entwurf
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Entwurf Linie, Entwurf Draht

Beschreibung

Das Entwurf Verrundungswerkzeug erstellt eine Verrundung, eine abgerundete Ecke, zwischen zwei Entwurf Linien. Alternativ kann es auch eine Fase, eine gerade Kante, zwischen diesen beiden Linien erzeugen.

Draft Fillet example.png

Mehrere Verrundungen und Fasen, die zwischen zwei Linien entstehen

Anwendung

  1. Wähle zwei Entwurf Linie, die bereits auf dem Dokument platziert sind und sich an einem Punkt treffen.
  2. Drücke die Taste Draft Fillet.svg Entwurf Verrundung Taste.
  3. Wähle den Radius der Verrundung und drücke dann Enter.

Optionen

  • Aktivieredas Kontrollkästchen "Originalobjekte löschen", wenn du die beiden Originalzeilen löschen möchtest und nur das neue Verrundungsobjekt übrig lässt.
  • Aktivieredas Kontrollkästchen "Fase erzeugen", wenn du eine gerade Kante anstelle einer abgerundeten Kante zwischen den beiden Linien erzeugen möchtest.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Anmerkungen

  • Das resultierende Verrundungsobjekt ist nicht editierbar.
  • Wenn der Radius zu groß ist, als dass der erzeugte Bogen nicht zu einer der Linien tangiert wäre, wird der Vorgang nicht erfolgreich sein.
  • Im Moment werden nur einzelne Linien unterstützt; Draft Wires, d.h. Linien mit mehreren Punkten, führen möglicherweise nicht zum gewünschten Ergebnis.

Eigenschaften

Siehe auch: Eigenschaftseditor.

A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Daten

Draft

  • DatenStart: (schreibgeschützt) gibt den Startpunkt an.
  • DatenEnd: (schreibgeschützt) gibt den Endpunkt an.
  • DatenLength: (schreibgeschützt) gibt die Länge des gesamten Segments an.
  • DatenFillet Radius: (schreibgeschützt) Radius, mit dem die Verrundung erstellt wurde.

Ansicht

Draft

Ansicht

  • Ansicht EigenschaftEnde Pfeil: Wenn es true ist, zeigt es ein Symbol am letzten Punkt der Linie an, so dass es als Anmerkungslinie verwendet werden kann.
  • Ansicht EigenschaftPfeil Größe: Gibt die Größe des Symbols an, das am Ende der Zeile angezeigt wird.
  • AnsichtPfeil Typ: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das "Punkt", "Kreis", "Pfeil", "Haken", oder "Haken-2" sein kann.

Skripten

Das Kreis Werkzeug kann sowohl in Makros als auch aus der Python Konsole aus mit folgender Funktion verwendet werden:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Erzeugt ein Fillet Objekt zwischen den Linien line1 und line2, wobei die Krümmung mit radius erfolgt.
  • Wenn chamfer True ist, erzeugt es eine gerade Kante mit der Länge von radius, anstatt einer abgerundeten Kante.
  • Wenn delete True ist, löscht es die angegebenen line1 und line2, und lässt nur das neue Objekt übrig.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()


Arrow-left.svg Vorherige: Draft Wire.svg Draht
Nächste: Bogen Draft Arc.svg Arrow-right.svg